<?php
	if (file_exists("../../filtrar_visitas.php")) { include_once "../../filtrar_visitas.php"; }
	else if (file_exists("filtrar_visitas.php")) { include_once "filtrar_visitas.php"; }

	require_once "codigo/email.php";

	$nombre = recoger_get("nombre");
	$apellidos = recoger_get("apellidos");
	$telefono = recoger_get("telefono");
	$email = recoger_get("email");
	$contenido = recoger_get("contenido");
	
	$errores = "";

	$enviado = recoger_get("enviado");
	if ($enviado)
	{
		if (!$nombre || $nombre == "") { $errores .= "El camp del nom &eacute;s obligatori.<br>"; }
		//if (!$apellidos || $apellidos == "") { $errores .= "El camp dels cognoms &eacute;s obligatori.<br>"; }
		if ((!$telefono || $telefono == "") && (!$email || $email == "")) { $errores .= "Es necessar ficar el n&uacute;mero de tel&egrave;fon o un E-Mail de contacte.<br>"; }
		if (!$contenido || $contenido == "") { $errores .= "El camp del contingut &eacute;s obligatori.<br>"; }	
		if ($email != "" && !validar_email($email)) { $errores .= "El E-Mail introdu&iuml;t no sembla v&agrave;lid.<br>"; }

		if (trim($errores) != "")
		{
			echo '<center><table border="1" align="center" bgcolor="#d0def0">';
			echo "<tr><td><b>S'han produit els seg&uuml;ents errors:</b></td></tr>";
			echo "<tr><td>$errores</td></tr>";
			echo "</table></center><br>";
		}
		else
		{
			$texto = "Nombre: $nombre<br>\r\n" .
					 "Apellidos: $apellidos<br>\r\n" .
					 "Telefono: $telefono<br>\r\n" .
					 "E-Mail: $email<br>\r\n" .
					 "Contenido: $contenido";
				   
			//require_once "codigo/email.php";
			
			$email_enviado = enviar_email("[PERIQUITO] Contacto", $texto, $email, $nombre." ".$apellidos);
		
			echo '<center><table border="1" align="center" bgcolor="#d0def0"><tr><td>';
		
			if ($email_enviado)
			{
				echo "S'ha enviat correctament.";
			}
			else
			{
				echo "<b>ERROR</b>: No s'ha enviat correctament. Si us plau, intenteu tornar a enviar m&eacute;s tard.";
			}
		
			echo "</td></tr></table></center><br>";
		}
	}
?>

<center>
<form method="get" action="contacto.php">
	<?php if (SID) { echo '<input type="hidden" name="' . session_name() . '" value="' . session_id() . '">'; } ?>
	<input type="hidden" name="idioma" value="<?php echo $idioma; ?>">
	<input type="hidden" name="enviado" value="si">
	<center>
	<table align="center" cellspacing="0" cellpadding="0" class="formulario">
		<tr>
			<td align="right" class="formulario">Nom:</td>
			<td class="formulario"><input type="text" name="nombre" value="<?php echo htmlentities($nombre); ?>" class="formulario" size="25"></td>
		</tr>
		<tr>
			<td align="right">Cognoms:</td>
			<td><input type="text" name="apellidos" value="<?php echo htmlentities($apellidos); ?>" size="25"></td>
		</tr>
		<tr>
			<td align="right" class="formulario">Tel&egrave;fon:</td>
			<td class="formulario"><input type="text" name="telefono" value="<?php echo htmlentities($telefono); ?>" size="25" class="formulario"></td>
		</tr>
		<tr>
			<td align="right">E-Mail:</td>
			<td><input type="text" name="email" value="<?php echo htmlentities($email); ?>" size="25"></td>
		</tr>
		<tr>
			<td align="right" valign="top" class="formulario">Contingut:</td>
			<td class="formulario"><textarea name="contenido" cols="22" rows="6" class="formulario"><?php echo htmlentities($contenido); ?></textarea></td>
		</tr>		
		<tr>
			<td colspan="2" align="center">
				<center>
				<br>
				<input type="submit" name="boton" value="Enviar">
				</center>
			</td>
		</tr>
	</table>
	</center>
</form>
</center>
